# `sample_ranged_probe_fn` Interface

A sample ranged-probe functor.

This class serves to show the interface a ranged-probe functor needs to support.

Defined in: `sample_ranged_probe_fn.hpp`

## Public Types and Constants

### General definitions.

Type | Definition | Description

    size_type

    size_t, e.g.

Size type.

## Public Methods

### Constructors, destructor, and related.

Method | Description

      sample_ranged_probe_fn
      ()

Default constructor.

Must be default constructable.

      sample_ranged_probe_fn
      (const sample_ranged_probe_fn &other)

Copy constructor.

Must be copy constructable.

    inline void
      swap
      (sample_ranged_probe_fn &other)

Swaps content.

Must be swappable (if there is such a word).

## Protected Methods

### Notification methods.

Method | Description

    void
      notify_resized
      (size_type size)

Notifies the policy object that the container's size has changed to `size`.

### Operators.

Method | Description

    inline size_type
      operator()
      (const_key_reference r_key,
        size_t hash,
        size_type i) const

Transforms the `const` key reference `r_key` `into the` `i-th` position within the table. This method `i`s called for each collision within the probe sequence.